Subject: Re: linux-next: build failure after merge of the btrfs tree

From: Qu Wenruo <[email-masked]>
Date: Fri, 24 Apr 2020 13:17:10 +0800

On 2020/4/23 上午5:29, David Sterba wrote:
> On Tue, Apr 21, 2020 at 10:25:20AM +1000, Stephen Rothwell wrote:
>> After merging the btrfs tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
> 
>> Caused by commit
>>
>>   8d80a063d508 ("btrfs: move on-disk structure definitions to btrfs_tree.h")
>>
>> They should probably all be __u8 ...
>>
>> I have applied the following patch for today.
> 
> I've removed the patch from the for-next branch.
> 
BTW, do I need to update the patch, or just move btrfs_tree.h to fs/btrfs?

Thanks,
Qu